#pragma once
#include <materiallayer.h>
#include "structures.h"
#include <GL/glew.h>

namespace M3D
{

/**
	@author Denis A. Biryukov <denis.birukov@gmail.com>
*/
class ColorLayer : public MaterialLayer
{
	public:
		ColorLayer();
		~ColorLayer();
		virtual void set_layer(OpenGLState *state);
		virtual void load( const std::string &base_dir, M3DML_BLOCK_TYPE block_type, const M3DML_Layer *layer, EngineInterface *engine );
	private:
		GLfloat _color_[4];
};

}

